<?php
$tdatasalerepresentative = array();
$tdatasalerepresentative[".searchableFields"] = array();
$tdatasalerepresentative[".ShortName"] = "salerepresentative";
$tdatasalerepresentative[".OwnerID"] = "";
$tdatasalerepresentative[".OriginalTable"] = "salerepresentative";


$tdatasalerepresentative[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatasalerepresentative[".originalPagesByType"] = $tdatasalerepresentative[".pagesByType"];
$tdatasalerepresentative[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatasalerepresentative[".originalPages"] = $tdatasalerepresentative[".pages"];
$tdatasalerepresentative[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatasalerepresentative[".originalDefaultPages"] = $tdatasalerepresentative[".defaultPages"];

//	field labels
$fieldLabelssalerepresentative = array();
$fieldToolTipssalerepresentative = array();
$pageTitlessalerepresentative = array();
$placeHolderssalerepresentative = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelssalerepresentative["English"] = array();
	$fieldToolTipssalerepresentative["English"] = array();
	$placeHolderssalerepresentative["English"] = array();
	$pageTitlessalerepresentative["English"] = array();
	$fieldLabelssalerepresentative["English"]["salereID"] = "Salere ID";
	$fieldToolTipssalerepresentative["English"]["salereID"] = "";
	$placeHolderssalerepresentative["English"]["salereID"] = "";
	$fieldLabelssalerepresentative["English"]["BusinessName"] = "ຊື່ບໍລິສັດ";
	$fieldToolTipssalerepresentative["English"]["BusinessName"] = "";
	$placeHolderssalerepresentative["English"]["BusinessName"] = "";
	$fieldLabelssalerepresentative["English"]["PersonContact"] = "ຊື່ຜູ້ຕິດຕໍ່";
	$fieldToolTipssalerepresentative["English"]["PersonContact"] = "";
	$placeHolderssalerepresentative["English"]["PersonContact"] = "";
	$fieldLabelssalerepresentative["English"]["Tel"] = "ເບີໂທ";
	$fieldToolTipssalerepresentative["English"]["Tel"] = "";
	$placeHolderssalerepresentative["English"]["Tel"] = "";
	$fieldLabelssalerepresentative["English"]["Email"] = "Email";
	$fieldToolTipssalerepresentative["English"]["Email"] = "";
	$placeHolderssalerepresentative["English"]["Email"] = "";
	$fieldLabelssalerepresentative["English"]["Address"] = "ທີ່ຢູ່";
	$fieldToolTipssalerepresentative["English"]["Address"] = "";
	$placeHolderssalerepresentative["English"]["Address"] = "";
	if (count($fieldToolTipssalerepresentative["English"]))
		$tdatasalerepresentative[".isUseToolTips"] = true;
}


	$tdatasalerepresentative[".NCSearch"] = true;



$tdatasalerepresentative[".shortTableName"] = "salerepresentative";
$tdatasalerepresentative[".nSecOptions"] = 0;

$tdatasalerepresentative[".mainTableOwnerID"] = "";
$tdatasalerepresentative[".entityType"] = 0;
$tdatasalerepresentative[".connId"] = "eflejob_at_localhost";


$tdatasalerepresentative[".strOriginalTableName"] = "salerepresentative";

	



$tdatasalerepresentative[".showAddInPopup"] = false;

$tdatasalerepresentative[".showEditInPopup"] = false;

$tdatasalerepresentative[".showViewInPopup"] = false;

	$tdatasalerepresentative[".listAjax"] = true;
//	temporary
//$tdatasalerepresentative[".listAjax"] = false;

	$tdatasalerepresentative[".audit"] = false;

	$tdatasalerepresentative[".locking"] = false;


$pages = $tdatasalerepresentative[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatasalerepresentative[".edit"] = true;
	$tdatasalerepresentative[".afterEditAction"] = 1;
	$tdatasalerepresentative[".closePopupAfterEdit"] = 1;
	$tdatasalerepresentative[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatasalerepresentative[".add"] = true;
$tdatasalerepresentative[".afterAddAction"] = 1;
$tdatasalerepresentative[".closePopupAfterAdd"] = 1;
$tdatasalerepresentative[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatasalerepresentative[".list"] = true;
}



$tdatasalerepresentative[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatasalerepresentative[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatasalerepresentative[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatasalerepresentative[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatasalerepresentative[".printFriendly"] = true;
}



$tdatasalerepresentative[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatasalerepresentative[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatasalerepresentative[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatasalerepresentative[".isUseAjaxSuggest"] = true;



			

$tdatasalerepresentative[".ajaxCodeSnippetAdded"] = false;

$tdatasalerepresentative[".buttonsAdded"] = false;

$tdatasalerepresentative[".addPageEvents"] = false;

// use timepicker for search panel
$tdatasalerepresentative[".isUseTimeForSearch"] = false;


$tdatasalerepresentative[".badgeColor"] = "6B8E23";


$tdatasalerepresentative[".allSearchFields"] = array();
$tdatasalerepresentative[".filterFields"] = array();
$tdatasalerepresentative[".requiredSearchFields"] = array();

$tdatasalerepresentative[".googleLikeFields"] = array();
$tdatasalerepresentative[".googleLikeFields"][] = "salereID";
$tdatasalerepresentative[".googleLikeFields"][] = "BusinessName";
$tdatasalerepresentative[".googleLikeFields"][] = "PersonContact";
$tdatasalerepresentative[".googleLikeFields"][] = "Tel";
$tdatasalerepresentative[".googleLikeFields"][] = "Email";
$tdatasalerepresentative[".googleLikeFields"][] = "Address";



$tdatasalerepresentative[".tableType"] = "list";

$tdatasalerepresentative[".printerPageOrientation"] = 0;
$tdatasalerepresentative[".nPrinterPageScale"] = 100;

$tdatasalerepresentative[".nPrinterSplitRecords"] = 40;

$tdatasalerepresentative[".geocodingEnabled"] = false;










$tdatasalerepresentative[".pageSize"] = 20;

$tdatasalerepresentative[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatasalerepresentative[".strOrderBy"] = $tstrOrderBy;

$tdatasalerepresentative[".orderindexes"] = array();


$tdatasalerepresentative[".sqlHead"] = "SELECT salereID,  	BusinessName,  	PersonContact,  	Tel,  	Email,  	Address";
$tdatasalerepresentative[".sqlFrom"] = "FROM salerepresentative";
$tdatasalerepresentative[".sqlWhereExpr"] = "";
$tdatasalerepresentative[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatasalerepresentative[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatasalerepresentative[".arrGroupsPerPage"] = $arrGPP;

$tdatasalerepresentative[".highlightSearchResults"] = true;

$tableKeyssalerepresentative = array();
$tableKeyssalerepresentative[] = "salereID";
$tdatasalerepresentative[".Keys"] = $tableKeyssalerepresentative;


$tdatasalerepresentative[".hideMobileList"] = array();




//	salereID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "salereID";
	$fdata["GoodName"] = "salereID";
	$fdata["ownerTable"] = "salerepresentative";
	$fdata["Label"] = GetFieldLabel("salerepresentative","salereID");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "salereID";

		$fdata["sourceSingle"] = "salereID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "salereID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalerepresentative["salereID"] = $fdata;
		$tdatasalerepresentative[".searchableFields"][] = "salereID";
//	BusinessName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "BusinessName";
	$fdata["GoodName"] = "BusinessName";
	$fdata["ownerTable"] = "salerepresentative";
	$fdata["Label"] = GetFieldLabel("salerepresentative","BusinessName");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "BusinessName";

		$fdata["sourceSingle"] = "BusinessName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "BusinessName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
			$edata["validateAs"]["basicValidate"][] = "DenyDuplicated";
	$edata["validateAs"]["customMessages"]["DenyDuplicated"] = array("message" => "Value %value% already exists", "messageType" => "Text");

	
//	End validation

	
			
	
		$edata["denyDuplicates"] = true;

	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalerepresentative["BusinessName"] = $fdata;
		$tdatasalerepresentative[".searchableFields"][] = "BusinessName";
//	PersonContact
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "PersonContact";
	$fdata["GoodName"] = "PersonContact";
	$fdata["ownerTable"] = "salerepresentative";
	$fdata["Label"] = GetFieldLabel("salerepresentative","PersonContact");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "PersonContact";

		$fdata["sourceSingle"] = "PersonContact";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "PersonContact";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalerepresentative["PersonContact"] = $fdata;
		$tdatasalerepresentative[".searchableFields"][] = "PersonContact";
//	Tel
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Tel";
	$fdata["GoodName"] = "Tel";
	$fdata["ownerTable"] = "salerepresentative";
	$fdata["Label"] = GetFieldLabel("salerepresentative","Tel");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Tel";

		$fdata["sourceSingle"] = "Tel";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Tel";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalerepresentative["Tel"] = $fdata;
		$tdatasalerepresentative[".searchableFields"][] = "Tel";
//	Email
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Email";
	$fdata["GoodName"] = "Email";
	$fdata["ownerTable"] = "salerepresentative";
	$fdata["Label"] = GetFieldLabel("salerepresentative","Email");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Email";

		$fdata["sourceSingle"] = "Email";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Email";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalerepresentative["Email"] = $fdata;
		$tdatasalerepresentative[".searchableFields"][] = "Email";
//	Address
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "Address";
	$fdata["GoodName"] = "Address";
	$fdata["ownerTable"] = "salerepresentative";
	$fdata["Label"] = GetFieldLabel("salerepresentative","Address");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Address";

		$fdata["sourceSingle"] = "Address";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Address";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalerepresentative["Address"] = $fdata;
		$tdatasalerepresentative[".searchableFields"][] = "Address";


$tables_data["salerepresentative"]=&$tdatasalerepresentative;
$field_labels["salerepresentative"] = &$fieldLabelssalerepresentative;
$fieldToolTips["salerepresentative"] = &$fieldToolTipssalerepresentative;
$placeHolders["salerepresentative"] = &$placeHolderssalerepresentative;
$page_titles["salerepresentative"] = &$pageTitlessalerepresentative;


changeTextControlsToDate( "salerepresentative" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["salerepresentative"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["salerepresentative"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_salerepresentative()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "salereID,  	BusinessName,  	PersonContact,  	Tel,  	Email,  	Address";
$proto0["m_strFrom"] = "FROM salerepresentative";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "salereID",
	"m_strTable" => "salerepresentative",
	"m_srcTableName" => "salerepresentative"
));

$proto6["m_sql"] = "salereID";
$proto6["m_srcTableName"] = "salerepresentative";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "BusinessName",
	"m_strTable" => "salerepresentative",
	"m_srcTableName" => "salerepresentative"
));

$proto8["m_sql"] = "BusinessName";
$proto8["m_srcTableName"] = "salerepresentative";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "PersonContact",
	"m_strTable" => "salerepresentative",
	"m_srcTableName" => "salerepresentative"
));

$proto10["m_sql"] = "PersonContact";
$proto10["m_srcTableName"] = "salerepresentative";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "Tel",
	"m_strTable" => "salerepresentative",
	"m_srcTableName" => "salerepresentative"
));

$proto12["m_sql"] = "Tel";
$proto12["m_srcTableName"] = "salerepresentative";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "Email",
	"m_strTable" => "salerepresentative",
	"m_srcTableName" => "salerepresentative"
));

$proto14["m_sql"] = "Email";
$proto14["m_srcTableName"] = "salerepresentative";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "Address",
	"m_strTable" => "salerepresentative",
	"m_srcTableName" => "salerepresentative"
));

$proto16["m_sql"] = "Address";
$proto16["m_srcTableName"] = "salerepresentative";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto18=array();
$proto18["m_link"] = "SQLL_MAIN";
			$proto19=array();
$proto19["m_strName"] = "salerepresentative";
$proto19["m_srcTableName"] = "salerepresentative";
$proto19["m_columns"] = array();
$proto19["m_columns"][] = "salereID";
$proto19["m_columns"][] = "BusinessName";
$proto19["m_columns"][] = "PersonContact";
$proto19["m_columns"][] = "Tel";
$proto19["m_columns"][] = "Email";
$proto19["m_columns"][] = "Address";
$obj = new SQLTable($proto19);

$proto18["m_table"] = $obj;
$proto18["m_sql"] = "salerepresentative";
$proto18["m_alias"] = "";
$proto18["m_srcTableName"] = "salerepresentative";
$proto20=array();
$proto20["m_sql"] = "";
$proto20["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto20["m_column"]=$obj;
$proto20["m_contained"] = array();
$proto20["m_strCase"] = "";
$proto20["m_havingmode"] = false;
$proto20["m_inBrackets"] = false;
$proto20["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto20);

$proto18["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto18);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="salerepresentative";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_salerepresentative = createSqlQuery_salerepresentative();


	
		;

						

$tdatasalerepresentative[".sqlquery"] = $queryData_salerepresentative;



$tdatasalerepresentative[".hasEvents"] = false;

?>